cd ..

# Three seeds - 1704, 4929, 7762
declare -A dataset_seeds=(
   ["aids"]="7762"
   ["mutag"]="7762"
   ["ptc_fm"]="7762"
   ["ptc_fr"]="7762"
   ["ptc_mm"]="7762"
   ["ptc_mr"]="7762"
)

gpus=(0 1 2 3 4 5)
overall_counter=0

for config_file in \
   "configs/node_models/scoring=sinkhorn_pp=lrl___tp=none.yaml" \
   "configs/node_models/scoring=sinkhorn_pp=lrl___tp=sinkhorn_pp=lrl_when=post___unify=true.yaml" \
   "configs/edge_models/scoring=sinkhorn_pp=lrl___tp=none.yaml" \
   "configs/edge_models/scoring=sinkhorn_pp=lrl___tp=sinkhorn_pp=lrl_when=post___unify=true.yaml" \
   "configs/node_models/scoring=sinkhorn_pp=hinge___tp=none.yaml" \
   "configs/node_models/scoring=sinkhorn_pp=hinge___tp=sinkhorn_pp=hinge_when=post.yaml" \
   "configs/edge_models/scoring=sinkhorn_pp=hinge___tp=none.yaml" \
   "configs/edge_models/scoring=sinkhorn_pp=hinge___tp=sinkhorn_pp=hinge_when=post___unify=true.yaml" \
   "configs/gotsim.yaml" \
   "configs/simgnn.yaml" \
   "configs/neuromatch.yaml" \
   "configs/egsc.yaml" \
   "configs/isonet.yaml" \
   "configs/gmn_embed.yaml" \
   "configs/node_align_node_loss.yaml" \
   "configs/greed.yaml" \
   "configs/h2mn.yaml" \
   "configs/graphsim.yaml" \
; do
   # "configs/..." \
   for dataset in "${!dataset_seeds[@]}"; do
      seed="${dataset_seeds[$dataset]}"
      gpu_index=$(( (overall_counter) % ${#gpus[@]} ))

      WANDB_MODE=disabled CUDA_VISIBLE_DEVICES=${gpus[$gpu_index]} python3 -m subgraph_matching.train \
         --experiment_id rqX_custom_models \
         --experiment_dir experiments/ \
         --model_config_path $config_file \
         --dataset_name $dataset \
         --seed $seed \
         --dataset_size large \
         &

      ((overall_counter++))
      sleep 10s
   done
done
